# Uses of Interface
org.apache.solr.common.util.DataEntry

Packages that use DataEntry
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of DataEntry in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response with parameters of type DataEntry
Modifier and Type
Method
Description
`void`
FastStreamingDocsCallback.`field(DataEntry field, Object docObj)`
Found a new field

## Uses of DataEntry in org.apache.solr.common.util

Classes in org.apache.solr.common.util that implement DataEntry
Modifier and Type
Class
Description
`class`
`FastJavaBinDecoder.EntryImpl`
Methods in org.apache.solr.common.util that return DataEntry
Modifier and Type
Method
Description
`DataEntry`
DataEntry.`parent()`
If this is a child of another container object this returns a non-null value
`DataEntry`
FastJavaBinDecoder.EntryImpl.`parent()`
Methods in org.apache.solr.common.util with parameters of type DataEntry
Modifier and Type
Method
Description
`default void`
DataEntry.EntryListener.`end(DataEntry e)`
Callback after all entries of this container are streamed
`void`
DataEntry.EntryListener.`entry(DataEntry e)`
Callback for each entry in this container.